/* BACKGROUND COLORS */
.stw-blue {
    background-color: var(--stw-blue-color);
}

.stw-light-blue {
    background-color: var(--stw-light-blue-color);
}

.stw-medium-light-blue {
    background-color: var(--stw-medium-light-blue-color);
}

.stw-orange {
    background-color: var(--stw-orange-color);
}

.stw-red {
    background-color: var(--stw-red-color);
}

.stw-white {
    background-color: var(--stw-white-color);
}

.stw-grey {
    background-color: var(--stw-grey-color);
}

.stw-dark-grey {
    background-color: var(--stw-dark-grey-color);
}

/* NEW GRAYs */
.stw-gray-1 {
    background-color: var(--stw-gray-1);
}

.stw-gray-1-2 {
    background-color: var(--stw-gray-1-2);
}

.stw-gray-2 {
    background-color: var(--stw-gray-2);
}

.stw-gray-3 {
    background-color: var(--stw-gray-3);
}

.stw-gray-4 {
    background-color: var(--stw-gray-4);
}



.stw-green {
    background-color: var(--stw-green-color);
}

.stw-black {
    background-color: var(--stw-black-color);
}

.stw-yellow {
    background-color: var(--stw-yellow-color);
}

.stw-transparent {
    background-color: var(--stw-transparent-color) !important;
}

.stw-semitransparent {
    background-color: var(--stw-semitransparent-color);
}

.stw-purple {
    background-color: var(--stw-purple-color);
}

.stw-black-gray {
    background-color: var(--stw-black-gray-color);
}

/* TOAST COLORS BACKGROUND CIRCLE */

.stw-toast-green {
    background-color: var(--stw-green-color);
}

.stw-toast-light-blue {
    background-color: var(--stw-light-blue-color);
}
.stw-toast-golden-yellow {
    background-color: var(--stw-golden-yellow-color);
}
.stw-toast-vivid-orange {
    background-color: var(--stw-vivid-orange-color);
}
.stw-toast-culture-blue {
    background-color: var(--stw-culture-blue-color);
}
.stw-toast-red {
    background-color: var(--stw-red-color);
}

.stw-toast-learning-orange {
    background-color: var(--stw-learning-orange-color);
}

/* ------------------------------------------------------- */

/* TEXT COLORS */
.stw-txt-black {
    color: var(--stw-black-color);
}

.stw-txt-white {
    color: var(--stw-white-color);
}

.stw-txt-orange{
    color: var(--stw-orange-color);
}

.stw-txt-red {
    color: var(--stw-strong-red);
}

.stw-txt-red-glow{
    color: rgb(207, 45, 67) !important;
    text-shadow: 
        0 0 5px rgba(207, 45, 67, 0.5), 
        0 0 10px rgba(207, 45, 67, 0.4), 
        0 0 15px rgba(207, 45, 67, 0.3),
        0 0 20px rgba(207, 45, 67, 0.2), 
        0 0 25px rgba(207, 45, 67, 0.1) !important; 
    animation: pulsate 0.5s infinite alternate !important; 
}

@keyframes pulsate {
    0% {
        text-shadow: 
            0 0 5px rgba(207, 45, 67, 0.1), 
            0 0 10px rgba(207, 45, 67, 0.05), 
            0 0 15px rgba(207, 45, 67, 0); 
    }
    100% {
        text-shadow: 
            0 0 15px rgba(207, 45, 67, 1),  
            0 0 30px rgba(207, 45, 67, 0.95), 
            0 0 50px rgba(207, 45, 67, 0.9), 
            0 0 70px rgba(207, 45, 67, 0.85), 
            0 0 100px rgba(207, 45, 67, 0.8);
    }
}

.stw-txt-blue-glow{
    color: #2b3dff !important;
    text-shadow: 
        0 0 5px rgba(43, 61, 255, 0.5), 
        0 0 10px rgba(43, 61, 255, 0.4), 
        0 0 15px rgba(43, 61, 255, 0.3),
        0 0 20px rgba(43, 61, 255, 0.2), 
        0 0 25px rgba(43, 61, 255, 0.1) !important; 
    animation: pulsate 0.5s infinite alternate !important; 
}

@keyframes pulsate {
    0% {
        text-shadow: 
            0 0 5px rgba(43, 61, 255, 0.1), 
            0 0 10px rgba(43, 61, 255, 0.05), 
            0 0 15px rgba(43, 61, 255, 0); 
    }
    100% {
        text-shadow: 
            0 0 15px rgba(43, 61, 255, 1),  
            0 0 30px rgba(43, 61, 255, 0.95), 
            0 0 50px rgba(43, 61, 255, 0.9), 
            0 0 70px rgba(43, 61, 255, 0.85), 
            0 0 100px rgba(43, 61, 255, 0.8);
    }
}


.stw-txt-blue {
    color: var(--stw-blue-color);
}


.stw-txt-grey {
    color: var(--stw-grey-color);
}

.stw-txt-green {
    color: var(--stw-green-color);
}

.stw-txt-dark-green {
    color: var(--stw-dark-green-color);
}


.stw-txt-dark-grey {
    color: var(--stw-dark-grey-color);
}

.stw-txt-gray-1 {
    color: var(--stw-gray-1) !important;
}

.stw-txt-gray-2 {
    color: var(--stw-gray-2) !important;
}

.stw-txt-gray-3 {
    color: var(--stw-gray-3) !important;
}

.stw-txt-gray-4 {
    color: var(--stw-gray-4) !important;
}

.stw-txt-gray-5 {
    color: var(--stw-gray-5) !important;
}

.stw-txt-unavailable {
    color: var(--stw-gray-unavailable);
}

.stw-txt-black {
    color: var(--stw-black-color);
}

.stw-txt-purple {
    color: var(--stw-purple-color);
}

.stw-txt-yellow {
    color: var(--stw-yellow-color);
}




/* BORDER COLORS */

.stw-strong-red-border {
    border-color: var(--stw-strong-red);
}

.stw-red-border {
    border-color: var(--stw-red-color);
}

.stw-grey-border {
    border-color: var(--stw-grey-color);
}

.stw-gray-border-1 {
    border-color: var(--stw-gray-1) !important;
}

.stw-gray-border-2 {
    border-color: var(--stw-gray-2) !important;
}

.stw-gray-border-3 {
    border-color: var(--stw-gray-3) !important;
}

.stw-gray-border-4 {
    border-color: var(--stw-gray-4) !important;
}

.stw-gray-border-5 {
    border-color: var(--stw-gray-5) !important;
}

.stw-blue-border {
    border-color: var(--stw-blue-color);
}

.stw-orange-border {
    border-color: var(--stw-orange-color);
}



/* SPECIALS */



.invert-color {
    filter: invert(1);
}


